Subject: Re: [PATCH] MTD support for the AMCC Taishan

From: Valentine Barshak <[email-masked]>
Date: Thu, 07 Feb 2008 17:55:14 +0300

Imre Kaloz wrote:
> On Thu, 07 Feb 2008 15:05:23 +0100, Valentine Barshak 
> <[email-masked]> wrote:
> 
>>> Well, arch/ppc calculates the mtd2 dynamically and doesn't create
>>> a separate partition for kozio.
>>
>> That dynamic size calculation depends on the flash size.
>> The board I use has a 64MB NOR flash (I'm not aware of other Taishan 
>> boards having chips of different size). So AFAIU if such board exists, 
>> we'll need a cuboot flash-size fixup.
> 
> 
> All Taishan boards have 64MB flash (2x32MB). Denx was doing the size 
> calculation
> to dynamically allocate mtd2 based on the size of mtd0+mtd1 if I recall 
> right.
>

This is actually the code:
arch/ppc/platforms/4xx/taishan.c:static int taishan_setup_flash(void)
{
taishan_nor_parts[2].size = __res.bi_flashsize -
		RW_PART0_SZ - RW_PART1_SZ - RW_PART3_SZ - RW_PART4_SZ;

Thanks,
Valentine.
> Cheers,
> Imre